Subject: Re: bug#62260: 30.0.50; [PATCH] Restrict auto-save file mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Mar 2023 20:51:28 +0200

> Cc: [email-masked]
> Date: Sat, 18 Mar 2023 20:47:17 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Manuel Giraud <[email-masked]>
> > Cc: [email-masked]
> > Date: Sat, 18 Mar 2023 19:39:20 +0100
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > [...]
> > 
> > > That could make it impossible to overwrite the auto-save file later.
> > > So I don't think we should make this change.
> > 
> > I've tried it but I'm not able to come with such an example.  With this
> > patch, the auto-save file has always a mode of 0600 even for a file with
> > a mode of 0006 not own by me.
> 
> Did you try a different user?

Actually, the right question is: what exactly did you try?  As you can
see from the code, 0666 value is used only for buffers that don't
visit files.  Did you try with such a buffer, and what exactly did you
try?